import java.lang.Math;

/**
 * Lab #5
 * CS 2334
 * Fall 2008
 * <P>
 * This class models a method to calculate a word's score.
 * </P>
 * @author Wayne M. Smith
 * @author Brian F. Veale
 * @author Mark Woehrer
 * @version 1.0
 */
public class Word
{
	/** The score of the word. */
	double score;
	
	/** The length of the word. */
	int length;
	
	/** The word, as a string. */
	String word;

	/**
	 * This initializes the word's score and length to 0,
	 * and word to an empty string.
	 */   
	public Word()
	{
		word = "";
		score = 0;
		length = 0;
	}

	/**
	 * This method returns the Word as a String.
	 * <P>
	 * @return   The word entered as a String.
	 */
	public String getWord()
	{
		return word;
	}

	/**
	 * This method returns the word's length.
	 * <P>
	 * @return	The length of the word, as a String.
	 */
	public String getLength()
	{
		length = word.length();
		return Integer.toString(length);
	}
	
	/**
	 * This method returns the word's score.
	 * It does NOT calculate it.  It calls calculateScore
	 * to do that.
	 * <P>
	 * @return score	The score of a word, as a String.
	 */
	public String getScore()
	{
		
		return Double.toString(calculateScore(word));
	}
	
	/**
	 * This method sets the word as a String.
	 * <P>
	 * @param word	
	 */
	public void setWord(String newWord)
	{
		word = newWord;
	}
	
	/**
	 * This method calculates the word's score.
	 * <P>
	 * @param       word	The score, as a double.
	 */
	public double calculateScore( String word )
	{
		double wordAsDouble = word.length();
		score = Math.pow(wordAsDouble - 1, 2);
		
		return score;
	}
}
